import { HttpClient } from '@angular/common/http';
export declare class CortexAtmPeripheralsService {
    private http;
    constructor(http: HttpClient);
    private subscribe;
    openBillAcceptor(amount: number, accountNumber: string): WebSocket;
    closeBillAcceptor(): void;
    dispense(amount: number): void;
    atmButtons(): WebSocket;
    finalize(): void;
}
export declare class BillAcceptor {
    type: string;
    body: InsertMoney;
    constructor(type: string, body: InsertMoney);
}
export declare class InsertMoney {
    amount: number;
    total: number;
    lastAmount: number;
    constructor(amount: number, total: number, lastAmount: number);
}
export declare enum PeripheralsType {
    BILL_ACCEPTOR = 0,
    BACK_BUTTON = 1,
    OK_BUTTON = 2
}
export declare class CortexAtmModule {
}
